ICONVERT(1)

NAME
iconvert - copy images with format conversions and other alterations

SYNOPSIS
iconvert [options] inputfile outputfile
iconvert [options] --inplace files...

DESCRIPTION
The iconvert program will read an image (from any file format for which an ImageInput plugin can be found) and then write the image to a new file (in any format for which an ImageOutput plugin can be found). In the process, iconvert can optionally change the file format or data format (for example, converting floating-point data to 8-bit integers), apply gamma correction, switch between tiled and scanline orientation, or alter or add certain metadata to the image.

The iconvert utility is invoked as follows: iconvert [options] input output Where input and output name the input image and desired output filename. The image files may be of any format recognized by OpenImageIO (i.e., for which ImageInput plugins are available). The file format of the output image will be inferred from the file extension of the output filename (e.g., "foo.tif" will write a TIFF file).

Alternately, any number of files may be specified as follows: iconvert [options] --inplace file1 file2... When the --inplace option is used, any number of file names >= 1 may be specified, and the image conversion commands are applied to each file in turn, with the output being saved under the original file name. This is useful for applying the same conversion to many files, or simply if you want to replace the input with the output rather than create a new file with a different name.

For a complete description, see /usr/share/doc/openimageio-doc/openimageio.pdf.gz.

OPTIONS

--help
    Print help message

-v  Verbose status messages

--threads %d
    Number of threads (default 0 = #cores)

-d %s
    Set the output data format to one of:
    uint8, sint8, uint10, uint12, uint16, sint16, half, float, double

-g %f
    Set gamma correction (default = 1)

--tile %d %d
    Output as a tiled image

--scanline
    Output as a scanline image

--compression %s
    Set the compression method (default = same as input)

--quality %d
    Set the compression quality, 1-100

--no-copy-image
    Do not use ImageOutput copy_image functionality (dbg)

--adjust-time
    Adjust file times to match DateTime metadata

--caption %s
    Set caption (ImageDescription)

--keyword %s
    Add a keyword

--clear-keywords
    Clear keywords

--attrib %s %s
    Set a string attribute (name, value)

--orientation %d
    Set the orientation

--rotcw
    Rotate 90 deg clockwise

--rotccw
    Rotate 90 deg counter-clockwise

--rot180
    Rotate 180 deg

--inplace
    Do operations in place on images

--sRGB
    This file is in sRGB color space

--separate
    Force planarconfig separate

--contig
    Force planarconfig contig

--no-clobber
    Do no overwrite existing files

SEE ALSO
idiff(1), igrep(1), iinfo(1), iv(1), maketx(1), oiiotool(1).

AUTHOR
OpenImageIO was written by Larry Gritz and the other authors and contributors.

This manual page was written by IRIE Shinsuke <irieshinsuke@yahoo.co.jp>, for the Debian project (and may be used by others).